package cn.com.qmth.stmms.biz.lock;

import cn.com.qmth.stmms.common.enums.LockType;

public interface LockProvider {

    void waitLock(LockType type, String key);

    boolean tryLock(LockType type, String key);

    void unlock(LockType type, String key);

    boolean isLocked(LockType type, String key);

    void watch(LockType type, String key);

    void unwatch(LockType type, String key);

    void clear();
}
